def tri_fusion(lst):
    # Sortie de récursion
    if len(lst) <= 1:
        return lst
        
    # 1. création des listes gauches et droites
    n = len(lst) // 2
    lst_gauche = lst[:n]
    lst_droite = lst[n:]
    
    # 2. Résolution récursive du problème
    lst_gauche = tri_fusion(lst_gauche)
    lst_droite = tri_fusion(lst_droite)
    
    # 3. Fusion des listes gauches et droites triées
    return fusion(lst_gauche, lst_droite)